> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List WorkflowTaskGroup items

GET https://{tenant_name}.benchling.com/api/v3/workflow-task-group/{workflow_task_group_id}/child-workflow-task-groups/items

List WorkflowTaskGroup items.

Reference: https://docs.benchling.com/docs/api/benchling-api/workflow-task-group/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `workflow_task_group_id` (string, required) — ID of the WorkflowTaskGroup.

### Query parameters

- `archiveReason.anyOf` (string, optional) — Restricts items to those with any of the specified archive reasons. Use "NOT_ARCHIVED" to filter for unarchived items. Use "ANY_ARCHIVED" to filter for archived items regardless of reason. Use "ANY_ARCHIVED_OR_NOT_ARCHIVED" to return items for both archived and unarchived. Comma-separated list.
- `archived.anyOf` (boolean, optional) — If true, returns archived items. If false, returns unarchived items. If both true and false, returns archived and unarchived items. Comma-separated list.
- `createdAt.gt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.
- `createdAt.gte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.
- `createdAt.lt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. \< 2017-04-30.
- `createdAt.lte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. \<= 2017-04-30.
- `creator.anyOf` (string, optional) — Restricts results to those created by any of the specified user IDs. Comma-separated list.
- `folder.eq` (string, optional) — ID of a folder. Restricts results to its direct children.
- `id.anyOf` (string, optional) — Restricts results to those matching any of the specified IDs. Comma-separated list.
- `mentionedIn.anyOf` (string, optional) — Restricts results to items mentioned in entries matching any of the specified entry IDs. Comma-separated list.
- `modifiedAt.gt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.
- `modifiedAt.gte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or after the specified time. e.g. >= 2017-04-30.
- `modifiedAt.lt` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. \< 2017-04-30.
- `modifiedAt.lte` (string, optional) — Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or before the specified time. e.g. \<= 2017-04-30.
- `nextToken` (string, optional) — Token for pagination
- `pageSize` (integer, optional) — Number of results to return. Defaults to 50, maximum of 100.
- `project.eq` (string, optional) — ID of a project. Restricts results to those in the project.
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order results. Valid sorts are: createdAt (created time, oldest first) and modifiedAt (modified time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.
  - Allowed values: `createdAt:asc`, `createdAt:desc`, `modifiedAt:asc`, `modifiedAt:desc`

## Response

### 200

OK

- `items` (list of WorkflowTaskGroup, optional)
- `nextToken` (string, optional)

## Errors

### 400 Workflow Task Group Child Workflow Task Groups List Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Workflow Task Group Child Workflow Task Groups List Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Workflow Task Group Child Workflow Task Groups List Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Workflow Task Group Child Workflow Task Groups List Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Workflow Task Group Child Workflow Task Groups List Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### WorkflowTaskGroup

A container that groups related `WorkflowTask` instances together, representing a cohesive unit of work. Task groups are created from a `WorkflowTaskSchema` (via `workflowTaskSchema`). They are stored in `Folder`s and can have `authors` and `watchers` for collaboration. In flowchart workflows, task groups can be nested: `childWorkflowTaskGroups` contains sub-groups for flowchart nodes, and `rootWorkflowTaskGroup` points to the parent when this group is part of a larger flowchart. When created from a `RequestV2Submission`, the `requestSubmission` field links back to the originating request. Task groups aggregate the outputs from all their tasks via `workflowOutputs`.

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `authors` (string, optional, nullable)
- `childWorkflowTaskGroups` (string, optional, nullable) — The list of workflow task groups for which this task group is the root in a flowchart
- `createdAt` (string, optional)
- `creator` (PrincipalRef, optional, nullable)
- `displayId` (string, optional, nullable) — User-friendly ID of the workflow task group
- `folder` (FolderRef, optional)
- `id` (string, optional) — The ID of the workflow task group
- `modifiedAt` (string, optional)
- `name` (string, optional, nullable) — The name of the workflow task group
- `requestSubmission` (RequestV2SubmissionRef, optional, nullable) — A request that this task group was created to fulfill.
- `rootWorkflowTaskGroup` (WorkflowTaskGroupRef, optional, nullable) — The workflow task group which corresponds to the root node in a flowchart. This is only non-null for task groups that are part of a flowchart
- `workflowOutputs` (string, optional, nullable) — The outputs of the workflow task group
- `workflowTaskSchema` (WorkflowTaskSchemaRef, optional)
- `workflowTasks` (string, optional, nullable) — The tasks in the workflow task group

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

### PrincipalRef

- `__typename` (string, optional)
- `id` (string, optional)

### FolderRef

- `__typename` (string, optional)
- `id` (string, optional)

### RequestV2SubmissionRef

- `__typename` (string, optional)
- `id` (string, optional)

### WorkflowTaskGroupRef

- `__typename` (string, optional)
- `id` (string, optional)

### WorkflowTaskSchemaRef

- `__typename` (string, optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "items": [
    {
      "__typename": "__typename",
      "archiveReason": "archiveReason",
      "archived": true,
      "authors": "authors",
      "childWorkflowTaskGroups": "childWorkflowTaskGroups",
      "createdAt": "createdAt",
      "displayId": "displayId",
      "id": "id",
      "modifiedAt": "modifiedAt",
      "name": "name",
      "workflowOutputs": "workflowOutputs",
      "workflowTasks": "workflowTasks"
    }
  ],
  "nextToken": "nextToken"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/workflow-task-group/workflow_task_group_id/child-workflow-task-groups/items"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/workflow-task-group/workflow_task_group_id/child-workflow-task-groups/items';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```